Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class GraphHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.GraphHelper

    public class GraphHelper

extends HelperBase

Field Summary
`(package private) static int` | `MAX_X`
`(package private) static int` | `MAX_Y`

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`GraphHelper()`

Method Summary
`String` | `getForm()`
`String` | `getImages()`
`void` | `setContextId(String contextId)` set the defaults after we have a context
`void` | `setHeight(String str)`
`void` | `setPeriodCount(String str)`
`void` | `setRefreshDelay(String str)`
`void` | `setShowEvents(boolean b)`
`void` | `setWidth(String str)`

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _, _x, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_X

    static final int MAX_X

See Also:
  Constant Field Values

### MAX_Y

    static final int MAX_Y

See Also:
  Constant Field Values

Constructor Detail

### GraphHelper

    public GraphHelper()

Method Detail

### setContextId

    public void setContextId(String contextId)

  set the defaults after we have a context

  Overrides:
    `setContextId` in class `HelperBase`
  Parameters:
    `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

### setPeriodCount

    public void setPeriodCount(String str)

### setShowEvents

    public void setShowEvents(boolean b)

### setHeight

    public void setHeight(String str)

### setWidth

    public void setWidth(String str)

### setRefreshDelay

    public void setRefreshDelay(String str)

### getImages

    public String getImages()

### getForm

    public String getForm()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD